ia64/xen-unstable

changeset 18439:7d1eadfe4631

xsm: Fix __import__() usage on Python 2.4 and earlier.
Signed-off-by: Keir Fraser <keir.fraser@citrix.com>
author Keir Fraser <keir.fraser@citrix.com>
date Thu Sep 04 11:55:48 2008 +0100 (2008-09-04)
parents a5bf2535e7bb
children 8d982c7a0d30
files tools/python/xen/util/xsm/xsm.py
line diff
     1.1 --- a/tools/python/xen/util/xsm/xsm.py	Thu Sep 04 11:28:17 2008 +0100
     1.2 +++ b/tools/python/xen/util/xsm/xsm.py	Thu Sep 04 11:55:48 2008 +0100
     1.3 @@ -7,10 +7,11 @@ from xsm_core import xsm_init
     1.4  xoptions = XendOptions.instance()
     1.5  xsm_module_name = xoptions.get_xsm_module_name()
     1.6  
     1.7 -xsconstants.XS_POLICY_USE = eval("xsconstants.XS_POLICY_"+string.upper(xsm_module_name))
     1.8 +xsconstants.XS_POLICY_USE = eval("xsconstants.XS_POLICY_" +
     1.9 +                                 string.upper(xsm_module_name))
    1.10  
    1.11  xsm_module_path = "xen.util.xsm." + xsm_module_name + "." + xsm_module_name
    1.12 -xsm_module = __import__(xsm_module_path, globals(), locals(), ['*'], -1)
    1.13 +xsm_module = __import__(xsm_module_path, globals(), locals(), ['*'])
    1.14  
    1.15  xsm_init(xsm_module)
    1.16